MAKECHROOTPKG(1)

NUME
makechrootpkg - construiește un PKGBUILD într-un mediu chroot dat

SINOPSIS

makechrootpkg [OPȚIUNI] -r <director-chroot> [--] [argumente-pentru-makepkg ]

DESCRIERE

Rulați acest script într-un director care conține un PKGBUILD pentru a construi un pachet în interiorul unui chroot curat. Argumentele transmise acestui script după marcajul de sfârșit de opțiuni (--) vor fi transmise la «makepkg».

Directorul chroot este format din următoarele directoare: <chrootdir>/{root, copy} dar numai „root” este necesar în mod implicit. Copia de lucru va fi creată în funcție de necesități

Directorul chroot „root” trebuie creat prin următoarea comandă: «mkarchroot <chrootdir>/root base-devel»

Acest script citește {SRC,SRCPKG,PKG,LOG}DEST, MAKEFLAGS și PACKAGER din makepkg.conf(5), dacă aceste variabile nu fac parte din mediu.

Argumentele «makepkg» implicite sunt: „--syncdeps” „--noconfirm” „--log” „--holdver” „--skipinteg”

OPȚIUNI

-h
    Afișează acest mesaj de utilizare

-c
    Curăță chroot-ul înainte de a construi

-d <director>
    Atașează directorul în construcția chroot ca fiind de citire-scriere

-D <director>
    Atașează directorul în construcția chroot ca fiind numai-pentru-citire

-t <director>[:opțiuni]
    Montează un „tmpfs” la director. Consultați argumentul --tmpfs în systemd-nspawn(1) pentru mai multe detalii.

-u
    Actualizează copia de lucru a chroot-ului înainte de construire. Acest lucru este util pentru reconstrucții fără a murdări chroot-ul original.

-r <director>
    Directorul chroot de utilizat

-I <pachet>
    Instalează un pachet în copia de lucru a chroot-ului

-l <copie>
    Directorul care va fi folosit ca copie de lucru a chroot-ului. Util pentru menținerea mai multor copii. Implicit: $USER

-n
    Rulează namcap pe pachetul construit

-C
    Rulează checkpkg pe pachetul construit

-T
    Construiește într-un director temporar

-U
    Rulează «makepkg» ca utilizatorul specificat

-d <când>
    Inspectează chroot-ul după compilare, modurile posibile sunt never (implicit), always sau failure.

CONSULTAȚI ȘI

systemd-nspawn(1)

PAGINA WEB PRINCIPALĂ

Vă rugăm să raportați erorile și solicitările de caracteristici în sistemul de urmărire a problemelor. Vă rugăm să faceți tot posibilul pentru a furniza un caz de testare reproductibil pentru erori.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.